Subject: Garden travel spots???

From: [email-masked] (Chris Doelle)
Date: 24 Mar 1995 14:19:56 GMT

Does anyone know of any good public gardens worth travelling to?  I would 
prefer some in Texas - but am interested in hearing about others.  Thanks

Chris

---

From: Susan Sanders <[email-masked]>
Date: 27 Mar 1995 16:42:35 GMT

In article <kathy.796312099@steamer> Kathy Santos, [email-masked]
>>Does anyone know of any good public gardens worth travelling to?  I
would 

One of this country's best kept secrets is the National Arboretum in
Washington, D.C.  Fantastic dwarf conifer collection, the national bonsai
collection, oriental garden, azalea and rhodendron garden, roses,
irises--well, just all kinds of stuff.  Well worth spending 2 or 3 days
at.                          Sue Sanders